// PIC16F877A ADC example with CCS C compiler
// http://ccspicc.blogspot.com/
// electronnote@gmail.com

//LCD module connections
#define LCD_RS_PIN PIN_C0
#define LCD_RW_PIN PIN_C1
#define LCD_ENABLE_PIN PIN_C2
#define LCD_DATA4 PIN_C3
#define LCD_DATA5 PIN_C4
#define LCD_DATA6 PIN_C5
#define LCD_DATA7 PIN_C6
//End LCD module connections

#include <16F877A.h>
#device ADC=10
#use delay(crystal=8000000)
#include <lcd.c>

unsigned int16 i;
void main(){
  lcd_init();                       // Initialize LCD module
  setup_adc(ADC_CLOCK_DIV_32);      // Set ADC conversion time to 32Tosc
  setup_adc_ports(AN0);             // Configure AN0 as analog  
  set_adc_channel(0);               // Select channel 0 input
  delay_ms(100);                    // Wait 100ms
  lcd_gotoxy(3, 1);                 // Go to column 3 row 1
  lcd_putc("ADC reading:");
  while(TRUE){
    i = read_adc();
    lcd_gotoxy(7, 2);               // Go to column 7 row 2
    printf(lcd_putc,"%4Lu",i);      // Write i with 4 numbers max
    delay_ms(10);                   // Wait 10ms
   }
}

